summaryrefslogtreecommitdiff
path: root/elf
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>1998-08-20 17:40:36 +0000
committerUlrich Drepper <drepper@redhat.com>1998-08-20 17:40:36 +0000
commitdf777c40c1d8bc15dcc71a7da183f2a2c99bda62 (patch)
tree77399ad67d41ea0cad918434d6d84f962c459d04 /elf
parent0c6cee5d656d933100b86b7d58803bdbd549e456 (diff)
Update.
1998-08-20 16:01 Ulrich Drepper <drepper@cygnus.com> * elf/ldd.sh.in: Redirect warnings and error messages to stderr. * elf/ldd.bash.in: Likewise. * elf/sln.c: Avoid warning for no main prototype. * sysdeps/unix/sysv/linux/alpha/bits/fcntl.h: Remove O_READ and O_WRITE. * sysdeps/unix/sysv/linux/mips/bits/fcntl.h: Likewise. * sysdeps/unix/sysv/linux/sparc/bits/fcntl.h: Likewise. * sysdeps/unix/sysv/linux/alpha/bits/fcntl.h: Add F_SETSIG and F_GETSIG. * sysdeps/unix/sysv/linux/bits/fcntl.h: Likewise. * sysdeps/unix/sysv/linux/mips/bits/fcntl.h: Likewise. * sysdeps/unix/sysv/linux/sparc/bits/fcntl.h: Likewise. 1998-08-20 Philip Blundell <pb@nexus.co.uk> * sysdeps/arm/fpu/ieee754.h: Move to... * sysdeps/arm/ieee754.h: ... here. * sysdeps/arm/__longjmp.S: Put return value in correct register. Don't set the condition flags unnecessarily. * sysdeps/arm/fpu/__longjmp.S: Likewise. Restore floating point registers correctly. * sysdeps/arm/dl-machine.h: Fix problems with profiling code (patch from Scott Bambrough). * sysdeps/arm/sysdep.h (CALL_MCOUNT): Add missing semicolons. * csu/initfini.c (_init): Don't check whether __gmon_start__ is NULL, just call it unconditionally. (__gmon_start__): Provide stub version as a weak symbol. 1998-07-30 Philip Blundell <philb@gnu.org> * sysdeps/unix/sysv/linux/arm/init-first.h: New file (from patch by Scott Bambrough) * sysdeps/unix/sysv/linux/arm/errlist.c: New file; ARM tools don't like `@' in .type directives. * sysdeps/arm/bsd-setjmp.S: Use PLT for procedure call. * sysdeps/arm/bsd-_setjmp.S: Likewise. * sysdeps/arm/dl-machine.h: Set __libc_stack_end. 1998-08-20 Andreas Jaeger <aj@arthur.rhein-neckar.de> * sysdeps/unix/sysv/linux/mips/bits/fcntl.h (F_SETOWN): Correct value. (F_GETOWN): Likewise. * sysdeps/unix/sysv/linux/bits/siginfo.h (SI_SIGIO): Add it (from Linux 2.1.117). 1998-08-20 Ulrich Drepper <drepper@cygnus.com> * sysdeps/generic/glob.c [_LIBC]: Define __stat only if not already defined. 1998-08-14 Thorsten Kukuk <kukuk@vt.uni-paderborn.de> * nis/nss_compat/compat-grp.c: Set errno to ENOENT if we have no more entries. * nis/nss_compat/compat-initgroups.c: Likewise. * nis/nss_compat/compat-pwd.c: Likewise. * nis/nss_compat/compat-spwd.c: Likewise. * nis/nss_nis/nis-alias.c: Likewise. * nis/nss_nis/nis-ethers.c: Likewise. * nis/nss_nis/nis-grp.c: Likewise. * nis/nss_nis/nis-hosts.c: Likewise. * nis/nss_nis/nis-initgroups.c: Likewise. * nis/nss_nis/nis-network.c: Likewise. * nis/nss_nis/nis-proto.c: Likewise. * nis/nss_nis/nis-pwd.c: Likewise. * nis/nss_nis/nis-rpc.c: Likewise. * nis/nss_nis/nis-service.c: Likewise. * nis/nss_nis/nis-spwd.c: Likewise. * nis/rpcsvc/yp.h: Generate new without 1024 byte limits. * nis/ypclnt.c: Try binding dir only first time, could be to old. * nis/yp_xdr.c: Remove 1024 byte limit. * nis/ypupdate_xdr.c: Likewise. * nis/nss_nis/nis-publickey.c: Make sure, nobody could send wrong data.
Diffstat (limited to 'elf')
-rw-r--r--elf/ldd.bash.in9
-rw-r--r--elf/ldd.sh.in9
-rw-r--r--elf/sln.c6
3 files changed, 12 insertions, 12 deletions
diff --git a/elf/ldd.bash.in b/elf/ldd.bash.in
index 9bf88d1ae7..f6ffa6b4e8 100644
--- a/elf/ldd.bash.in
+++ b/elf/ldd.bash.in
@@ -114,7 +114,8 @@ case $# in
exit 1
elif test -r "$file"; then
test -x "$file" ||
- echo 'ldd:' $"warning: you do not have execution permission for" "\`$file'"
+ echo 'ldd:' $"\
+warning: you do not have execution permission for" "\`$file'" >&2
verify_out=`${RTLD} --verify "$file"`
case $? in
0)
@@ -135,7 +136,7 @@ case $# in
;;
esac
else
- echo 'ldd:' $"error: you do not have read permission for" "\`$file'"
+ echo 'ldd:' $"error: you do not have read permission for" "\`$file'" >&2
exit 1
fi
exit
@@ -155,7 +156,7 @@ case $# in
result=1
elif test -r "$file"; then
test -x "$file" || echo 'ldd:' $"\
-warning: you do not have execution permission for" "\`$file'"
+warning: you do not have execution permission for" "\`$file'" >&2
verify_out=`${RTLD} --verify "$file"`
case $? in
0)
@@ -177,7 +178,7 @@ warning: you do not have execution permission for" "\`$file'"
;;
esac
else
- echo 'ldd:' $"error: you do not have read permission for" "\`$file'"
+ echo 'ldd:' $"error: you do not have read permission for" "\`$file'" >&2
result=1
fi
done
diff --git a/elf/ldd.sh.in b/elf/ldd.sh.in
index 2447a90a3e..4eda958b4b 100644
--- a/elf/ldd.sh.in
+++ b/elf/ldd.sh.in
@@ -112,7 +112,8 @@ Try \`ldd --help' for more information."
else
if test -r "$file"; then
test -x "$file" ||
- echo "ldd: warning: you do not have execution permission for \`$file'"
+ echo "\
+ldd: warning: you do not have execution permission for \`$file'" >&2
verify_out=`${RTLD} --verify "$file"`
case $? in
0)
@@ -132,7 +133,7 @@ Try \`ldd --help' for more information."
;;
esac
else
- echo "ldd: error: you do not have read permission for \`$file'"
+ echo "ldd: error: you do not have read permission for \`$file'" >&2
exit 1
fi
fi
@@ -155,7 +156,7 @@ Try \`ldd --help' for more information."
else
if test -r "$file"; then
test -x "$file" || echo "\
-ldd: warning: you do not have execution permission for \`$file'"
+ldd: warning: you do not have execution permission for \`$file'" >&2
verify_out=`${RTLD} --verify "$file"`
case $? in
0)
@@ -175,7 +176,7 @@ ldd: warning: you do not have execution permission for \`$file'"
;;
esac
else
- echo "ldd: error: you do not have read permission for \`$file'"
+ echo "ldd: error: you do not have read permission for \`$file'" >&2
result=1
fi
fi
diff --git a/elf/sln.c b/elf/sln.c
index a958bac0cf..f9344692e6 100644
--- a/elf/sln.c
+++ b/elf/sln.c
@@ -34,9 +34,7 @@ static int makesymlink __P ((const char *src, const char *dest));
static int makesymlinks __P ((const char *file));
int
-main (argc, argv)
- int argc;
- char **argv;
+main (int argc, char **argv)
{
switch (argc)
{
@@ -162,7 +160,7 @@ makesymlink (src, dest)
fprintf (stderr, "%s: invalid destination: %s\n", dest, error);
return -1;
}
-
+
#ifdef S_ISLNK
if (symlink (src, dest) == 0)
#else